> # NAME

> TextureRectangle - 3D API texture rectangle

> # USAGE

> TextureRectangle[i] = samplerRECT(samp)

> # VALID ENUMERANTS

> samp: sampler

> # DESCRIPTION

> Specify the rectangle texture to be used. See the GL_TEXTURE_RECTANGLE_NV description in the OpenGL NV_texture_rectangle specification for details. See the IDirect3DDevice9::SetTexture method for details.

> The standard reset callback sets the TextureRectangle[i] state to samplerRECT(0).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> Texture1DEnable, Texture2DEnable, Texture3DEnable, TextureCubeMapEnable, TextureRectangleEnable, Texture1D, Texture2D, Texture3D, TextureCubeMap, TextureEnvColor, TextureEnvMode, TextureFactor, TextureMatrix, TextureTransform, TextureTransformFlags, Texture, MagFilter, MaxMipLevel, MinFilter, MipFilter, MipMapLodBias